## Update Many Routes `client.magicTransit.routes.bulkUpdate(RouteBulkUpdateParamsparams, RequestOptionsoptions?): RouteBulkUpdateResponse` **put** `/accounts/{account_id}/magic/routes` Update multiple Magic static routes. Use `?validate_only=true` as an optional query parameter to run validation only without persisting changes. Only fields for a route that need to be changed need be provided. ### Parameters - `params: RouteBulkUpdateParams` - `account_id: string` Path param: Identifier - `routes: Array` Body param - `id: string` Identifier - `nexthop: string` The next-hop IP Address for the static route. - `prefix: string` IP Prefix in Classless Inter-Domain Routing format. - `priority: number` Priority of the static route. - `description?: string` An optional human provided description of the static route. - `scope?: Scope` Used only for ECMP routes. - `colo_names?: Array` List of colo names for the ECMP scope. - `colo_regions?: Array` List of colo regions for the ECMP scope. - `weight?: number` Optional weight of the ECMP scope - if provided. ### Returns - `RouteBulkUpdateResponse` - `modified?: boolean` - `modified_routes?: Array` - `id: string` Identifier - `nexthop: string` The next-hop IP Address for the static route. - `prefix: string` IP Prefix in Classless Inter-Domain Routing format. - `priority: number` Priority of the static route. - `created_on?: string` When the route was created. - `description?: string` An optional human provided description of the static route. - `modified_on?: string` When the route was last modified. - `scope?: Scope` Used only for ECMP routes. - `colo_names?: Array` List of colo names for the ECMP scope. - `colo_regions?: Array` List of colo regions for the ECMP scope. - `weight?: number` Optional weight of the ECMP scope - if provided. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.magicTransit.routes.bulkUpdate({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', routes: [ { id: '023e105f4ecef8ad9ca31a8372d0c353', nexthop: '203.0.113.1', prefix: '192.0.2.0/24', priority: 0, }, ], }); console.log(response.modified); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "modified": true, "modified_routes": [ { "id": "023e105f4ecef8ad9ca31a8372d0c353", "nexthop": "203.0.113.1", "prefix": "192.0.2.0/24", "priority": 0, "created_on": "2017-06-14T00:00:00Z", "description": "New route for new prefix 203.0.113.1", "modified_on": "2017-06-14T05:20:00Z", "scope": { "colo_names": [ "den01" ], "colo_regions": [ "APAC" ] }, "weight": 0 } ] }, "success": true } ```